Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007497OCamldocumentationpublic2017-03-02 12:162017-03-18 14:01
Reporterdbuenzli 
Assigned Tooctachron 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.04.0 
Target VersionFixed in Version4.05.0 +dev/beta1/beta2/beta3/rc1 
Summary0007497: OCaml manual: replace bullets by the section number on the main page
DescriptionThis is clearly a usability improvement:

Warning 57: Ambiguous or-pattern variables under guard;
variable s may match different arguments. (See manual section 8.5)

However you then turn to http://caml.inria.fr/pub/docs/manual-ocaml/ [^]
and are a bit lost where that section could be.

Thanks.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017531)
octachron (developer)
2017-03-02 14:21

Note that this problem only exists in the splitted html manual: both the latex version and the one-file html manual have a numbered table of contents. This seems to be a limitation of hacha, hevea's html splitting subtool.
(0017618)
octachron (developer)
2017-03-10 15:24

After playing with hevea to replace unordered list by ordered list, I found the hacha-specific macro required to enable numbered table of contents:
https://github.com/ocaml/ocaml/pull/1095 [^] .
With this change, tables of contents still use unordered list but they include at least section number.
(0017689)
octachron (developer)
2017-03-18 14:01

This should be fixed by merging the above PR starting from the version 4.05 of the manual.

- Issue History
Date Modified Username Field Change
2017-03-02 12:16 dbuenzli New Issue
2017-03-02 13:42 gasche Status new => confirmed
2017-03-02 14:21 octachron Note Added: 0017531
2017-03-07 14:51 shinwell Severity minor => feature
2017-03-10 15:24 octachron Note Added: 0017618
2017-03-10 15:25 octachron Assigned To => octachron
2017-03-10 15:25 octachron Status confirmed => assigned
2017-03-18 14:01 octachron Note Added: 0017689
2017-03-18 14:01 octachron Status assigned => resolved
2017-03-18 14:01 octachron Fixed in Version => 4.05.0 +dev/beta1/beta2/beta3/rc1
2017-03-18 14:01 octachron Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker